%define		_sysconfdir	/etc
%define		_libexecdir	%{_bindir}
%define		_localstatedir	/var

Summary: 	The GNU libtool, which simplifies the use of shared libraries.
Name: 		libtool
Version: 	1.5.22
Release: 	1
Copyright: 	GPL
Group: 		Libraries
Source0: 	ftp://ftp.gnu.org/gnu/libtool/%{name}-%{version}.tar.gz
Prefix: 	%{_prefix}
PreReq: 	/sbin/install-info autoconf automake m4 perl mktemp
BuildRoot: 	%{_tmppath}/%{name}-root

%description
cvs -z3 -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/libtool co libtool

The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, you
should install libtool.

%package 	devel
Summary: 	Runtime libraries for GNU libtool.
Group: 		Development

%description 	devel
The libtool-libs package contains the runtime libraries from GNU
libtool.  GNU libtool uses these libraries to provide portible dynamic
loading of shared libraries.

If you are using some programs that provide shared libraries built
with GNU libtool, you should install the libtool-libs package to
provide the dynamic loading library

%prep
%setup -q

%build
%configure \
            --host=i386-pc-linux-gnu \
	    --build=i386-pc-linux-gnu \
	    --enable-nls \
	    --without-included-gettext
make; #make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}
%{_bindir}
%{_libdir}/*.a
%{_datadir}
